Subject: bug#47321: 27.1; gnutls.c does not handle TLS rehandshake from server

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 26 Jun 2022 20:28:17 +0200

Jan Ypma <[email-masked]> writes:

> I'm using gnutls with a client x509 certificate to talk to an https
> server. The server is a Microsoft "Azure API Management" instance,
> which has a particular way of handling client certificates. It accepts
> an initial handshake without requesting a certificate. It then awaits
> the http "Host: " header. Only after that, it requests a rehandshake
> on the TLS layer, expecting the client to send a certificate.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Would it be possible to create a complete test case for this, by any
chance?  Without a test case, it's difficult to start fixing this issue,
but I realise that it may be difficult to set one up, since it requires
certificates etc...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no